View Issue Details

This bug affects 1 person(s).
 10
IDProjectCategoryView StatusLast Update
17449Bug reportsSurvey editingpublic2021-10-12 15:09
Reportertpartner Assigned Togabrieljenik  
PriorityhighSeveritypartial_block 
Status testingResolutionopen 
Product Version5.x 
Summary17449: Custom question theme CSS files not loaded correctly when debug > 0
DescriptionWhen setting debug to a value greater than 0, custom question theme css files are not loaded correctly.

See the attached screenshots.

This is not the case in 3.x or 4.x.

Being unable to use debug > 0 seriously hinders development/editing/testing custom question themes.
Steps To Reproduce- Import attached question theme.
- Import attached survey.
- Set debug => 1 in config.php
TagsNo tags attached.
Bug heat10
Complete LimeSurvey version number (& build)5.0.8
I will donate to the project if issue is resolvedNo
Browsern/a
Database type & versionlibmysql - mysqlnd 5.0.12-dev
Server OS (if known)Windows 10
Webserver software & version (if known)Apache/2.4.39 (Win64)
PHP Version7.3.7

Users monitoring this issue

User List There are no users monitoring this issue.

Activities

tpartner

tpartner

2021-07-15 21:05

developer  

capture_6.png (14,960 bytes)   
capture_6.png (14,960 bytes)   
capture_5.png (16,118 bytes)   
capture_5.png (16,118 bytes)   
Net-Promoter-Score.zip (52,471 bytes)
limesurvey_survey_157384.lss (28,405 bytes)   
<?xml version="1.0" encoding="UTF-8"?>
<document>
 <LimeSurveyDocType>Survey</LimeSurveyDocType>
 <DBVersion>449</DBVersion>
 <languages>
  <language>de</language>
  <language>en</language>
 </languages>
 <answers>
  <fields>
   <fieldname>aid</fieldname>
   <fieldname>qid</fieldname>
   <fieldname>code</fieldname>
   <fieldname>sortorder</fieldname>
   <fieldname>assessment_value</fieldname>
   <fieldname>scale_id</fieldname>
  </fields>
  <rows>
   <row>
    <aid><![CDATA[67]]></aid>
    <qid><![CDATA[2]]></qid>
    <code><![CDATA[0]]></code>
    <sortorder><![CDATA[1]]></sortorder>
    <assessment_value><![CDATA[0]]></assessment_value>
    <scale_id><![CDATA[0]]></scale_id>
   </row>
   <row>
    <aid><![CDATA[68]]></aid>
    <qid><![CDATA[2]]></qid>
    <code><![CDATA[1]]></code>
    <sortorder><![CDATA[2]]></sortorder>
    <assessment_value><![CDATA[0]]></assessment_value>
    <scale_id><![CDATA[0]]></scale_id>
   </row>
   <row>
    <aid><![CDATA[69]]></aid>
    <qid><![CDATA[2]]></qid>
    <code><![CDATA[10]]></code>
    <sortorder><![CDATA[11]]></sortorder>
    <assessment_value><![CDATA[0]]></assessment_value>
    <scale_id><![CDATA[0]]></scale_id>
   </row>
   <row>
    <aid><![CDATA[70]]></aid>
    <qid><![CDATA[2]]></qid>
    <code><![CDATA[2]]></code>
    <sortorder><![CDATA[3]]></sortorder>
    <assessment_value><![CDATA[0]]></assessment_value>
    <scale_id><![CDATA[0]]></scale_id>
   </row>
   <row>
    <aid><![CDATA[71]]></aid>
    <qid><![CDATA[2]]></qid>
    <code><![CDATA[3]]></code>
    <sortorder><![CDATA[4]]></sortorder>
    <assessment_value><![CDATA[0]]></assessment_value>
    <scale_id><![CDATA[0]]></scale_id>
   </row>
   <row>
    <aid><![CDATA[72]]></aid>
    <qid><![CDATA[2]]></qid>
    <code><![CDATA[4]]></code>
    <sortorder><![CDATA[5]]></sortorder>
    <assessment_value><![CDATA[0]]></assessment_value>
    <scale_id><![CDATA[0]]></scale_id>
   </row>
   <row>
    <aid><![CDATA[73]]></aid>
    <qid><![CDATA[2]]></qid>
    <code><![CDATA[5]]></code>
    <sortorder><![CDATA[6]]></sortorder>
    <assessment_value><![CDATA[0]]></assessment_value>
    <scale_id><![CDATA[0]]></scale_id>
   </row>
   <row>
    <aid><![CDATA[74]]></aid>
    <qid><![CDATA[2]]></qid>
    <code><![CDATA[6]]></code>
    <sortorder><![CDATA[7]]></sortorder>
    <assessment_value><![CDATA[0]]></assessment_value>
    <scale_id><![CDATA[0]]></scale_id>
   </row>
   <row>
    <aid><![CDATA[75]]></aid>
    <qid><![CDATA[2]]></qid>
    <code><![CDATA[7]]></code>
    <sortorder><![CDATA[8]]></sortorder>
    <assessment_value><![CDATA[0]]></assessment_value>
    <scale_id><![CDATA[0]]></scale_id>
   </row>
   <row>
    <aid><![CDATA[76]]></aid>
    <qid><![CDATA[2]]></qid>
    <code><![CDATA[8]]></code>
    <sortorder><![CDATA[9]]></sortorder>
    <assessment_value><![CDATA[0]]></assessment_value>
    <scale_id><![CDATA[0]]></scale_id>
   </row>
   <row>
    <aid><![CDATA[77]]></aid>
    <qid><![CDATA[2]]></qid>
    <code><![CDATA[9]]></code>
    <sortorder><![CDATA[10]]></sortorder>
    <assessment_value><![CDATA[0]]></assessment_value>
    <scale_id><![CDATA[0]]></scale_id>
   </row>
  </rows>
 </answers>
 <answer_l10ns>
  <fields>
   <fieldname>id</fieldname>
   <fieldname>aid</fieldname>
   <fieldname>answer</fieldname>
   <fieldname>language</fieldname>
  </fields>
  <rows>
   <row>
    <id><![CDATA[144]]></id>
    <aid><![CDATA[67]]></aid>
    <answer><![CDATA[0]]></answer>
    <language><![CDATA[de]]></language>
   </row>
   <row>
    <id><![CDATA[133]]></id>
    <aid><![CDATA[67]]></aid>
    <answer><![CDATA[0]]></answer>
    <language><![CDATA[en]]></language>
   </row>
   <row>
    <id><![CDATA[145]]></id>
    <aid><![CDATA[68]]></aid>
    <answer><![CDATA[1]]></answer>
    <language><![CDATA[de]]></language>
   </row>
   <row>
    <id><![CDATA[134]]></id>
    <aid><![CDATA[68]]></aid>
    <answer><![CDATA[1]]></answer>
    <language><![CDATA[en]]></language>
   </row>
   <row>
    <id><![CDATA[146]]></id>
    <aid><![CDATA[69]]></aid>
    <answer><![CDATA[10]]></answer>
    <language><![CDATA[de]]></language>
   </row>
   <row>
    <id><![CDATA[135]]></id>
    <aid><![CDATA[69]]></aid>
    <answer><![CDATA[10]]></answer>
    <language><![CDATA[en]]></language>
   </row>
   <row>
    <id><![CDATA[147]]></id>
    <aid><![CDATA[70]]></aid>
    <answer><![CDATA[2]]></answer>
    <language><![CDATA[de]]></language>
   </row>
   <row>
    <id><![CDATA[136]]></id>
    <aid><![CDATA[70]]></aid>
    <answer><![CDATA[2]]></answer>
    <language><![CDATA[en]]></language>
   </row>
   <row>
    <id><![CDATA[148]]></id>
    <aid><![CDATA[71]]></aid>
    <answer><![CDATA[3]]></answer>
    <language><![CDATA[de]]></language>
   </row>
   <row>
    <id><![CDATA[137]]></id>
    <aid><![CDATA[71]]></aid>
    <answer><![CDATA[3]]></answer>
    <language><![CDATA[en]]></language>
   </row>
   <row>
    <id><![CDATA[149]]></id>
    <aid><![CDATA[72]]></aid>
    <answer><![CDATA[4]]></answer>
    <language><![CDATA[de]]></language>
   </row>
   <row>
    <id><![CDATA[138]]></id>
    <aid><![CDATA[72]]></aid>
    <answer><![CDATA[4]]></answer>
    <language><![CDATA[en]]></language>
   </row>
   <row>
    <id><![CDATA[150]]></id>
    <aid><![CDATA[73]]></aid>
    <answer><![CDATA[5]]></answer>
    <language><![CDATA[de]]></language>
   </row>
   <row>
    <id><![CDATA[139]]></id>
    <aid><![CDATA[73]]></aid>
    <answer><![CDATA[5]]></answer>
    <language><![CDATA[en]]></language>
   </row>
   <row>
    <id><![CDATA[151]]></id>
    <aid><![CDATA[74]]></aid>
    <answer><![CDATA[6]]></answer>
    <language><![CDATA[de]]></language>
   </row>
   <row>
    <id><![CDATA[140]]></id>
    <aid><![CDATA[74]]></aid>
    <answer><![CDATA[6]]></answer>
    <language><![CDATA[en]]></language>
   </row>
   <row>
    <id><![CDATA[152]]></id>
    <aid><![CDATA[75]]></aid>
    <answer><![CDATA[7]]></answer>
    <language><![CDATA[de]]></language>
   </row>
   <row>
    <id><![CDATA[141]]></id>
    <aid><![CDATA[75]]></aid>
    <answer><![CDATA[7]]></answer>
    <language><![CDATA[en]]></language>
   </row>
   <row>
    <id><![CDATA[153]]></id>
    <aid><![CDATA[76]]></aid>
    <answer><![CDATA[8]]></answer>
    <language><![CDATA[de]]></language>
   </row>
   <row>
    <id><![CDATA[142]]></id>
    <aid><![CDATA[76]]></aid>
    <answer><![CDATA[8]]></answer>
    <language><![CDATA[en]]></language>
   </row>
   <row>
    <id><![CDATA[154]]></id>
    <aid><![CDATA[77]]></aid>
    <answer><![CDATA[9]]></answer>
    <language><![CDATA[de]]></language>
   </row>
   <row>
    <id><![CDATA[143]]></id>
    <aid><![CDATA[77]]></aid>
    <answer><![CDATA[9]]></answer>
    <language><![CDATA[en]]></language>
   </row>
  </rows>
 </answer_l10ns>
 <groups>
  <fields>
   <fieldname>gid</fieldname>
   <fieldname>sid</fieldname>
   <fieldname>group_order</fieldname>
   <fieldname>randomization_group</fieldname>
   <fieldname>grelevance</fieldname>
  </fields>
  <rows>
   <row>
    <gid><![CDATA[2]]></gid>
    <sid><![CDATA[157384]]></sid>
    <group_order><![CDATA[0]]></group_order>
    <randomization_group/>
    <grelevance/>
   </row>
  </rows>
 </groups>
 <group_l10ns>
  <fields>
   <fieldname>id</fieldname>
   <fieldname>gid</fieldname>
   <fieldname>group_name</fieldname>
   <fieldname>description</fieldname>
   <fieldname>language</fieldname>
   <fieldname>sid</fieldname>
   <fieldname>group_order</fieldname>
   <fieldname>randomization_group</fieldname>
   <fieldname>grelevance</fieldname>
  </fields>
  <rows>
   <row>
    <id><![CDATA[4]]></id>
    <gid><![CDATA[2]]></gid>
    <group_name><![CDATA[G1]]></group_name>
    <description/>
    <language><![CDATA[de]]></language>
    <sid><![CDATA[157384]]></sid>
    <group_order><![CDATA[0]]></group_order>
    <randomization_group/>
    <grelevance/>
   </row>
   <row>
    <id><![CDATA[3]]></id>
    <gid><![CDATA[2]]></gid>
    <group_name><![CDATA[G1]]></group_name>
    <description/>
    <language><![CDATA[en]]></language>
    <sid><![CDATA[157384]]></sid>
    <group_order><![CDATA[0]]></group_order>
    <randomization_group/>
    <grelevance/>
   </row>
  </rows>
 </group_l10ns>
 <questions>
  <fields>
   <fieldname>qid</fieldname>
   <fieldname>parent_qid</fieldname>
   <fieldname>sid</fieldname>
   <fieldname>gid</fieldname>
   <fieldname>type</fieldname>
   <fieldname>title</fieldname>
   <fieldname>preg</fieldname>
   <fieldname>other</fieldname>
   <fieldname>mandatory</fieldname>
   <fieldname>encrypted</fieldname>
   <fieldname>question_order</fieldname>
   <fieldname>scale_id</fieldname>
   <fieldname>same_default</fieldname>
   <fieldname>relevance</fieldname>
   <fieldname>modulename</fieldname>
  </fields>
  <rows>
   <row>
    <qid><![CDATA[2]]></qid>
    <parent_qid><![CDATA[0]]></parent_qid>
    <sid><![CDATA[157384]]></sid>
    <gid><![CDATA[2]]></gid>
    <type><![CDATA[L]]></type>
    <title><![CDATA[Q1]]></title>
    <preg/>
    <other><![CDATA[N]]></other>
    <mandatory><![CDATA[N]]></mandatory>
    <encrypted><![CDATA[N]]></encrypted>
    <question_order><![CDATA[1]]></question_order>
    <scale_id><![CDATA[0]]></scale_id>
    <same_default><![CDATA[0]]></same_default>
    <relevance><![CDATA[1]]></relevance>
    <modulename/>
   </row>
  </rows>
 </questions>
 <question_l10ns>
  <fields>
   <fieldname>id</fieldname>
   <fieldname>qid</fieldname>
   <fieldname>question</fieldname>
   <fieldname>help</fieldname>
   <fieldname>script</fieldname>
   <fieldname>language</fieldname>
  </fields>
  <rows>
   <row>
    <id><![CDATA[4]]></id>
    <qid><![CDATA[2]]></qid>
    <question><![CDATA[<p>Wie wahrscheinlich ist es, dass Sie dieses Unternehmen einem Freund oder Kollegen empfehlen?</p>]]></question>
    <help/>
    <language><![CDATA[de]]></language>
   </row>
   <row>
    <id><![CDATA[3]]></id>
    <qid><![CDATA[2]]></qid>
    <question><![CDATA[<p>How likely is it that you would recommend this company to a friend or colleague?</p>]]></question>
    <help/>
    <language><![CDATA[en]]></language>
   </row>
  </rows>
 </question_l10ns>
 <question_attributes>
  <fields>
   <fieldname>qid</fieldname>
   <fieldname>attribute</fieldname>
   <fieldname>value</fieldname>
   <fieldname>language</fieldname>
  </fields>
  <rows>
   <row>
    <qid><![CDATA[2]]></qid>
    <attribute><![CDATA[nps_left_text]]></attribute>
    <value><![CDATA[Not at all likely]]></value>
    <language><![CDATA[en]]></language>
   </row>
   <row>
    <qid><![CDATA[2]]></qid>
    <attribute><![CDATA[nps_left_text]]></attribute>
    <value><![CDATA[Überhaupt nicht wahrscheinlich]]></value>
    <language><![CDATA[de]]></language>
   </row>
   <row>
    <qid><![CDATA[2]]></qid>
    <attribute><![CDATA[nps_right_text]]></attribute>
    <value><![CDATA[Extremely likely]]></value>
    <language><![CDATA[en]]></language>
   </row>
   <row>
    <qid><![CDATA[2]]></qid>
    <attribute><![CDATA[nps_right_text]]></attribute>
    <value><![CDATA[Sehr wahrscheinlich]]></value>
    <language><![CDATA[de]]></language>
   </row>
   <row>
    <qid><![CDATA[2]]></qid>
    <attribute><![CDATA[nps_show_colors]]></attribute>
    <value><![CDATA[yes]]></value>
    <language/>
   </row>
   <row>
    <qid><![CDATA[2]]></qid>
    <attribute><![CDATA[question_template]]></attribute>
    <value><![CDATA[Net-Promoter-Score]]></value>
    <language/>
   </row>
  </rows>
 </question_attributes>
 <surveys>
  <fields>
   <fieldname>sid</fieldname>
   <fieldname>gsid</fieldname>
   <fieldname>admin</fieldname>
   <fieldname>expires</fieldname>
   <fieldname>startdate</fieldname>
   <fieldname>adminemail</fieldname>
   <fieldname>anonymized</fieldname>
   <fieldname>faxto</fieldname>
   <fieldname>format</fieldname>
   <fieldname>savetimings</fieldname>
   <fieldname>template</fieldname>
   <fieldname>language</fieldname>
   <fieldname>additional_languages</fieldname>
   <fieldname>datestamp</fieldname>
   <fieldname>usecookie</fieldname>
   <fieldname>allowregister</fieldname>
   <fieldname>allowsave</fieldname>
   <fieldname>autonumber_start</fieldname>
   <fieldname>autoredirect</fieldname>
   <fieldname>allowprev</fieldname>
   <fieldname>printanswers</fieldname>
   <fieldname>ipaddr</fieldname>
   <fieldname>ipanonymize</fieldname>
   <fieldname>refurl</fieldname>
   <fieldname>showsurveypolicynotice</fieldname>
   <fieldname>publicstatistics</fieldname>
   <fieldname>publicgraphs</fieldname>
   <fieldname>listpublic</fieldname>
   <fieldname>htmlemail</fieldname>
   <fieldname>sendconfirmation</fieldname>
   <fieldname>tokenanswerspersistence</fieldname>
   <fieldname>assessments</fieldname>
   <fieldname>usecaptcha</fieldname>
   <fieldname>usetokens</fieldname>
   <fieldname>bounce_email</fieldname>
   <fieldname>attributedescriptions</fieldname>
   <fieldname>emailresponseto</fieldname>
   <fieldname>emailnotificationto</fieldname>
   <fieldname>tokenlength</fieldname>
   <fieldname>showxquestions</fieldname>
   <fieldname>showgroupinfo</fieldname>
   <fieldname>shownoanswer</fieldname>
   <fieldname>showqnumcode</fieldname>
   <fieldname>bouncetime</fieldname>
   <fieldname>bounceprocessing</fieldname>
   <fieldname>bounceaccounttype</fieldname>
   <fieldname>bounceaccounthost</fieldname>
   <fieldname>bounceaccountpass</fieldname>
   <fieldname>bounceaccountencryption</fieldname>
   <fieldname>bounceaccountuser</fieldname>
   <fieldname>showwelcome</fieldname>
   <fieldname>showprogress</fieldname>
   <fieldname>questionindex</fieldname>
   <fieldname>navigationdelay</fieldname>
   <fieldname>nokeyboard</fieldname>
   <fieldname>alloweditaftercompletion</fieldname>
   <fieldname>googleanalyticsstyle</fieldname>
   <fieldname>googleanalyticsapikey</fieldname>
   <fieldname>tokenencryptionoptions</fieldname>
  </fields>
  <rows>
   <row>
    <sid><![CDATA[157384]]></sid>
    <gsid><![CDATA[1]]></gsid>
    <admin><![CDATA[Administrator]]></admin>
    <adminemail><![CDATA[your-email@example.net]]></adminemail>
    <anonymized><![CDATA[N]]></anonymized>
    <faxto/>
    <format><![CDATA[G]]></format>
    <savetimings><![CDATA[N]]></savetimings>
    <template><![CDATA[vanilla]]></template>
    <language><![CDATA[en]]></language>
    <additional_languages><![CDATA[de]]></additional_languages>
    <datestamp><![CDATA[N]]></datestamp>
    <usecookie><![CDATA[N]]></usecookie>
    <allowregister><![CDATA[N]]></allowregister>
    <allowsave><![CDATA[Y]]></allowsave>
    <autonumber_start><![CDATA[3]]></autonumber_start>
    <autoredirect><![CDATA[N]]></autoredirect>
    <allowprev><![CDATA[Y]]></allowprev>
    <printanswers><![CDATA[N]]></printanswers>
    <ipaddr><![CDATA[N]]></ipaddr>
    <ipanonymize><![CDATA[N]]></ipanonymize>
    <refurl><![CDATA[N]]></refurl>
    <showsurveypolicynotice><![CDATA[0]]></showsurveypolicynotice>
    <publicstatistics><![CDATA[N]]></publicstatistics>
    <publicgraphs><![CDATA[N]]></publicgraphs>
    <listpublic><![CDATA[N]]></listpublic>
    <htmlemail><![CDATA[Y]]></htmlemail>
    <sendconfirmation><![CDATA[Y]]></sendconfirmation>
    <tokenanswerspersistence><![CDATA[N]]></tokenanswerspersistence>
    <assessments><![CDATA[N]]></assessments>
    <usecaptcha><![CDATA[N]]></usecaptcha>
    <usetokens><![CDATA[N]]></usetokens>
    <bounce_email><![CDATA[your-email@example.net]]></bounce_email>
    <emailresponseto/>
    <emailnotificationto/>
    <tokenlength><![CDATA[15]]></tokenlength>
    <showxquestions><![CDATA[Y]]></showxquestions>
    <showgroupinfo><![CDATA[B]]></showgroupinfo>
    <shownoanswer><![CDATA[N]]></shownoanswer>
    <showqnumcode><![CDATA[X]]></showqnumcode>
    <bounceprocessing><![CDATA[N]]></bounceprocessing>
    <showwelcome><![CDATA[N]]></showwelcome>
    <showprogress><![CDATA[Y]]></showprogress>
    <questionindex><![CDATA[0]]></questionindex>
    <navigationdelay><![CDATA[0]]></navigationdelay>
    <nokeyboard><![CDATA[N]]></nokeyboard>
    <alloweditaftercompletion><![CDATA[N]]></alloweditaftercompletion>
    <googleanalyticsstyle/>
    <googleanalyticsapikey/>
    <tokenencryptionoptions/>
   </row>
  </rows>
 </surveys>
 <surveys_languagesettings>
  <fields>
   <fieldname>surveyls_survey_id</fieldname>
   <fieldname>surveyls_language</fieldname>
   <fieldname>surveyls_title</fieldname>
   <fieldname>surveyls_description</fieldname>
   <fieldname>surveyls_welcometext</fieldname>
   <fieldname>surveyls_endtext</fieldname>
   <fieldname>surveyls_policy_notice</fieldname>
   <fieldname>surveyls_policy_error</fieldname>
   <fieldname>surveyls_policy_notice_label</fieldname>
   <fieldname>surveyls_url</fieldname>
   <fieldname>surveyls_urldescription</fieldname>
   <fieldname>surveyls_email_invite_subj</fieldname>
   <fieldname>surveyls_email_invite</fieldname>
   <fieldname>surveyls_email_remind_subj</fieldname>
   <fieldname>surveyls_email_remind</fieldname>
   <fieldname>surveyls_email_register_subj</fieldname>
   <fieldname>surveyls_email_register</fieldname>
   <fieldname>surveyls_email_confirm_subj</fieldname>
   <fieldname>surveyls_email_confirm</fieldname>
   <fieldname>surveyls_dateformat</fieldname>
   <fieldname>surveyls_attributecaptions</fieldname>
   <fieldname>email_admin_notification_subj</fieldname>
   <fieldname>email_admin_notification</fieldname>
   <fieldname>email_admin_responses_subj</fieldname>
   <fieldname>email_admin_responses</fieldname>
   <fieldname>surveyls_numberformat</fieldname>
   <fieldname>attachments</fieldname>
  </fields>
  <rows>
   <row>
    <surveyls_survey_id><![CDATA[157384]]></surveyls_survey_id>
    <surveyls_language><![CDATA[de]]></surveyls_language>
    <surveyls_title><![CDATA[Demo - Question Theme - Net Promoter Score]]></surveyls_title>
    <surveyls_description/>
    <surveyls_welcometext/>
    <surveyls_endtext/>
    <surveyls_url/>
    <surveyls_urldescription/>
    <surveyls_email_invite_subj><![CDATA[Einladung zu einer Umfrage]]></surveyls_email_invite_subj>
    <surveyls_email_invite><![CDATA[Hallo {FIRSTNAME},<br />
<br />
Hiermit möchten wir Sie zu einer Umfrage einladen.<br />
<br />
Der Titel der Umfrage ist <br />
'{SURVEYNAME}'<br />
<br />
'{SURVEYDESCRIPTION}'<br />
<br />
Um an dieser Umfrage teilzunehmen, klicken Sie bitte auf den unten stehenden Link.<br />
<br />
Mit freundlichen Grüßen,<br />
<br />
{ADMINNAME} ({ADMINEMAIL})<br />
<br />
----------------------------------------------<br />
Klicken Sie hier um die Umfrage zu starten:<br />
{SURVEYURL}<br />
<br />
Wenn Sie an diese Umfrage nicht teilnehmen und keine weiteren Erinnerungen erhalten möchten, klicken Sie bitte auf den folgenden Link:<br />
{OPTOUTURL}<br />
<br />
Wenn Sie geblockt sind, jedoch wieder teilnehmen und weitere Einladungen erhalten möchten, klicken Sie bitte auf den folgenden Link:<br />
{OPTINURL}]]></surveyls_email_invite>
    <surveyls_email_remind_subj><![CDATA[Erinnerung an die Teilnahme an einer Umfrage]]></surveyls_email_remind_subj>
    <surveyls_email_remind><![CDATA[Hallo {FIRSTNAME},<br />
<br />
Vor kurzem haben wir Sie zu einer Umfrage eingeladen.<br />
<br />
Zu unserem Bedauern haben wir bemerkt, dass Sie die Umfrage noch nicht ausgefüllt haben. Wir möchten Ihnen mitteilen, dass die Umfrage noch aktiv ist und würden uns freuen, wenn Sie teilnehmen könnten.<br />
<br />
Der Titel der Umfrage ist <br />
'{SURVEYNAME}'<br />
<br />
'{SURVEYDESCRIPTION}'<br />
<br />
Um an dieser Umfrage teilzunehmen, klicken Sie bitte auf den unten stehenden Link.<br />
<br />
 Mit freundlichen Grüßen,<br />
<br />
{ADMINNAME} ({ADMINEMAIL})<br />
<br />
----------------------------------------------<br />
Klicken Sie hier um die Umfrage zu starten:<br />
{SURVEYURL}<br />
<br />
Wenn Sie an diese Umfrage nicht teilnehmen und keine weiteren Erinnerungen erhalten möchten, klicken Sie bitte auf den folgenden Link:<br />
{OPTOUTURL}]]></surveyls_email_remind>
    <surveyls_email_register_subj><![CDATA[Registrierungsbestätigung für Teilnahmeumfrage]]></surveyls_email_register_subj>
    <surveyls_email_register><![CDATA[Hallo {FIRSTNAME},<br />
<br />
Sie (oder jemand, der Ihre E-Mail benutzt hat) haben sich für eine Umfrage mit dem Titel {SURVEYNAME} angemeldet.<br />
<br />
Um an dieser Umfrage teilzunehmen, klicken Sie bitte auf den folgenden Link.<br />
<br />
{SURVEYURL}<br />
<br />
Wenn Sie irgendwelche Fragen zu dieser Umfrage haben oder wenn Sie sich _nicht_ für diese Umfrage angemeldet haben und sie glauben, dass Ihnen diese E-Mail irrtümlicherweise zugeschickt worden ist, kontaktieren Sie bitte {ADMINNAME} unter {ADMINEMAIL}.]]></surveyls_email_register>
    <surveyls_email_confirm_subj><![CDATA[Bestätigung für die Teilnahme an unserer Umfrage]]></surveyls_email_confirm_subj>
    <surveyls_email_confirm><![CDATA[Hallo {FIRSTNAME},<br />
<br />
Vielen Dank für die Teilnahme an der Umfrage mit dem Titel {SURVEYNAME}. Ihre Antworten wurden bei uns gespeichert.<br />
<br />
Wenn Sie irgendwelche Fragen zu dieser E-Mail haben, kontaktieren Sie bitte {ADMINNAME} unter {ADMINEMAIL}.<br />
<br />
Mit freundlichen Grüßen,<br />
<br />
{ADMINNAME}]]></surveyls_email_confirm>
    <surveyls_dateformat><![CDATA[1]]></surveyls_dateformat>
    <email_admin_notification_subj><![CDATA[Antwortabsendung für Umfrage {SURVEYNAME}]]></email_admin_notification_subj>
    <email_admin_notification><![CDATA[Hallo,<br />
<br />
Eine neue Antwort wurde für die Umfrage '{SURVEYNAME}' abgegeben.<br />
<br />
Klicken Sie auf den folgenden Link um den Antwortdatensatz anzusehen:<br />
{VIEWRESPONSEURL}<br />
<br />
Klicken Sie auf den folgenden Link um den Antwortdatensatz zu bearbeiten:<br />
{EDITRESPONSEURL}<br />
<br />
Um die Statistik zu sehen, klicken Sie hier:<br />
{STATISTICSURL}]]></email_admin_notification>
    <email_admin_responses_subj><![CDATA[Antwortabsendung für Umfrage {SURVEYNAME} mit Ergebnissen]]></email_admin_responses_subj>
    <email_admin_responses><![CDATA[Hallo,<br />
<br />
Eine neue Antwort wurde für die Umfrage '{SURVEYNAME}' abgegeben.<br />
<br />
Klicken Sie auf den folgenden Link um den Antwortdatensatz anzusehen:<br />
{VIEWRESPONSEURL}<br />
<br />
Klicken Sie auf den folgenden Link um den Antwortdatensatz zu bearbeiten:<br />
{EDITRESPONSEURL}<br />
<br />
Um die Statistik zu sehen, klicken Sie hier:<br />
{STATISTICSURL}<br />
<br />
<br />
Die folgenden Antworten wurden vom Teilnehmer gegeben:<br />
{ANSWERTABLE}]]></email_admin_responses>
    <surveyls_numberformat><![CDATA[0]]></surveyls_numberformat>
   </row>
   <row>
    <surveyls_survey_id><![CDATA[157384]]></surveyls_survey_id>
    <surveyls_language><![CDATA[en]]></surveyls_language>
    <surveyls_title><![CDATA[Demo - Question Theme - Net Promoter Score]]></surveyls_title>
    <surveyls_description/>
    <surveyls_welcometext/>
    <surveyls_endtext/>
    <surveyls_url/>
    <surveyls_urldescription/>
    <surveyls_email_invite_subj><![CDATA[Invitation to participate in a survey]]></surveyls_email_invite_subj>
    <surveyls_email_invite><![CDATA[Dear {FIRSTNAME},<br />
<br />
you have been invited to participate in a survey.<br />
<br />
The survey is titled:<br />
"{SURVEYNAME}"<br />
<br />
"{SURVEYDESCRIPTION}"<br />
<br />
To participate, please click on the link below.<br />
<br />
Sincerely,<br />
<br />
{ADMINNAME} ({ADMINEMAIL})<br />
<br />
----------------------------------------------<br />
Click here to do the survey:<br />
{SURVEYURL}<br />
<br />
If you do not want to participate in this survey and don't want to receive any more invitations please click the following link:<br />
{OPTOUTURL}<br />
<br />
If you are blacklisted but want to participate in this survey and want to receive invitations please click the following link:<br />
{OPTINURL}]]></surveyls_email_invite>
    <surveyls_email_remind_subj><![CDATA[Reminder to participate in a survey]]></surveyls_email_remind_subj>
    <surveyls_email_remind><![CDATA[Dear {FIRSTNAME},<br />
<br />
Recently we invited you to participate in a survey.<br />
<br />
We note that you have not yet completed the survey, and wish to remind you that the survey is still available should you wish to take part.<br />
<br />
The survey is titled:<br />
"{SURVEYNAME}"<br />
<br />
"{SURVEYDESCRIPTION}"<br />
<br />
To participate, please click on the link below.<br />
<br />
Sincerely,<br />
<br />
{ADMINNAME} ({ADMINEMAIL})<br />
<br />
----------------------------------------------<br />
Click here to do the survey:<br />
{SURVEYURL}<br />
<br />
If you do not want to participate in this survey and don't want to receive any more invitations please click the following link:<br />
{OPTOUTURL}]]></surveyls_email_remind>
    <surveyls_email_register_subj><![CDATA[Survey registration confirmation]]></surveyls_email_register_subj>
    <surveyls_email_register><![CDATA[Dear {FIRSTNAME},<br />
<br />
You, or someone using your email address, have registered to participate in an online survey titled {SURVEYNAME}.<br />
<br />
To complete this survey, click on the following URL:<br />
<br />
{SURVEYURL}<br />
<br />
If you have any questions about this survey, or if you did not register to participate and believe this email is in error, please contact {ADMINNAME} at {ADMINEMAIL}.]]></surveyls_email_register>
    <surveyls_email_confirm_subj><![CDATA[Confirmation of your participation in our survey]]></surveyls_email_confirm_subj>
    <surveyls_email_confirm><![CDATA[Dear {FIRSTNAME},<br />
<br />
this email is to confirm that you have completed the survey titled {SURVEYNAME} and your response has been saved. Thank you for participating.<br />
<br />
If you have any further questions about this email, please contact {ADMINNAME} on {ADMINEMAIL}.<br />
<br />
Sincerely,<br />
<br />
{ADMINNAME}]]></surveyls_email_confirm>
    <surveyls_dateformat><![CDATA[1]]></surveyls_dateformat>
    <email_admin_notification_subj><![CDATA[Response submission for survey {SURVEYNAME}]]></email_admin_notification_subj>
    <email_admin_notification><![CDATA[Hello,<br />
<br />
A new response was submitted for your survey '{SURVEYNAME}'.<br />
<br />
Click the following link to see the individual response:<br />
{VIEWRESPONSEURL}<br />
<br />
Click the following link to edit the individual response:<br />
{EDITRESPONSEURL}<br />
<br />
View statistics by clicking here:<br />
{STATISTICSURL}]]></email_admin_notification>
    <email_admin_responses_subj><![CDATA[Response submission for survey {SURVEYNAME} with results]]></email_admin_responses_subj>
    <email_admin_responses><![CDATA[Hello,<br />
<br />
A new response was submitted for your survey '{SURVEYNAME}'.<br />
<br />
Click the following link to see the individual response:<br />
{VIEWRESPONSEURL}<br />
<br />
Click the following link to edit the individual response:<br />
{EDITRESPONSEURL}<br />
<br />
View statistics by clicking here:<br />
{STATISTICSURL}<br />
<br />
<br />
The following answers were given by the participant:<br />
{ANSWERTABLE}]]></email_admin_responses>
    <surveyls_numberformat><![CDATA[0]]></surveyls_numberformat>
   </row>
  </rows>
 </surveys_languagesettings>
 <themes>
  <theme>
   <sid>157384</sid>
   <template_name>vanilla</template_name>
   <config>
    <options>inherit</options>
   </config>
  </theme>
  <theme>
   <sid>157384</sid>
   <template_name>vanilla</template_name>
   <config>
    <options>inherit</options>
   </config>
  </theme>
 </themes>
 <themes_inherited>
  <theme>
   <sid>157384</sid>
   <template_name>vanilla</template_name>
   <config>
    <options>
     <ajaxmode>off</ajaxmode>
     <brandlogo>on</brandlogo>
     <container>on</container>
     <hideprivacyinfo>off</hideprivacyinfo>
     <brandlogofile>themes/survey/vanilla/files/logo.png</brandlogofile>
     <font>noto</font>
     <showpopups>1</showpopups>
     <showclearall>off</showclearall>
     <questionhelptextposition>top</questionhelptextposition>
    </options>
   </config>
  </theme>
  <theme>
   <sid>157384</sid>
   <template_name>vanilla</template_name>
   <config>
    <options>
     <ajaxmode>off</ajaxmode>
     <brandlogo>on</brandlogo>
     <container>on</container>
     <hideprivacyinfo>off</hideprivacyinfo>
     <brandlogofile>themes/survey/vanilla/files/logo.png</brandlogofile>
     <font>noto</font>
     <showpopups>1</showpopups>
     <showclearall>off</showclearall>
     <questionhelptextposition>top</questionhelptextposition>
    </options>
   </config>
  </theme>
 </themes_inherited>
</document>
limesurvey_survey_157384.lss (28,405 bytes)   
DenisChenu

DenisChenu

2021-07-16 09:05

developer   ~65465

With 'use_asset_manager'=>true in config array ?
tpartner

tpartner

2021-07-16 13:46

developer   ~65471

Last edited: 2021-10-12 15:09

Why, the intention is NOT to use the assets manager.
DenisChenu

DenisChenu

2021-07-16 14:53

developer   ~65474

Last edited: 2021-10-12 15:09

It's to be sure it's asset ùma,nager and not somethig other .

I never say it fix the issue .....
tpartner

tpartner

2021-07-16 15:41

developer   ~65477

Last edited: 2021-10-12 15:09

When I set 'use_asset_manager'=>true, it displays as expected but, of course, we're back to needing to clear the assets for every change.
ollehar

ollehar

2021-07-21 15:01

administrator   ~65523

Last edited: 2021-10-12 15:09

Can also confirm.
ollehar

ollehar

2021-07-21 15:16

administrator   ~65524

Last edited: 2021-10-12 15:09

Moving to partial block since most users are unaffected.
tpartner

tpartner

2021-07-21 15:47

developer   ~65529

Last edited: 2021-10-12 15:09

Why? Anyone developing question themes is affected. Flagging as partial probably means it will never get fixed. How does this encourage new developers to use the feature?
ollehar

ollehar

2021-07-21 15:50

administrator   ~65530

Last edited: 2021-10-12 15:09

> Anyone developing question themes is affected

Yes, but that's not most people. Let me sync this to our internal project tool and increase priority.
ollehar

ollehar

2021-07-21 15:57

administrator   ~65532

Last edited: 2021-10-12 15:09

> This is not the case in 3.x or 4.x.

Oh, this is a regression? Then maybe it's easy to fix if we can find the commit that broke it.
ollehar

ollehar

2021-07-21 16:03

administrator   ~65535

Last edited: 2021-10-12 15:09

Added to next sprint.
tpartner

tpartner

2021-07-21 16:18

developer   ~65538

Last edited: 2021-10-12 15:09

Thanks.
ollehar

ollehar

2021-10-07 12:28

administrator   ~66787

Last edited: 2021-10-12 15:09

This disappeared from our roadmap.
ollehar

ollehar

2021-10-07 12:29

administrator   ~66788

Last edited: 2021-10-12 15:09

Maybe we can assign it to Denis later.
tpartner

tpartner

2021-10-07 15:39

developer   ~66797

Last edited: 2021-10-12 15:09

A lot of my reported bugs disappear from the roadmap.
capture_4.png (42,313 bytes)   
capture_4.png (42,313 bytes)   
ollehar

ollehar

2021-10-07 16:42

administrator   ~66803

Last edited: 2021-10-12 15:09

Yes, we're always behind in bug fixes.
galads

galads

2021-10-08 17:08

administrator   ~66814

Last edited: 2021-10-12 15:09

They are in the backlog. I have not gotten to partial blocking issues also a reason why.
gabrieljenik

gabrieljenik

2021-10-12 15:07

manager   ~66834

Last edited: 2021-10-12 15:09

This was fixed in 17538

Issue History

Date Modified Username Field Change
2021-07-15 21:05 tpartner New Issue
2021-07-15 21:05 tpartner File Added: capture_6.png
2021-07-15 21:05 tpartner File Added: capture_5.png
2021-07-15 21:05 tpartner File Added: Net-Promoter-Score.zip
2021-07-15 21:05 tpartner File Added: limesurvey_survey_157384.lss
2021-07-15 21:09 tpartner Description Updated View Revisions
2021-07-15 21:11 tpartner Description Updated View Revisions
2021-07-16 09:05 DenisChenu Note Added: 65465
2021-07-16 13:46 tpartner Note Added: 65471
2021-07-16 14:53 DenisChenu Note Added: 65474
2021-07-16 15:30 galads Assigned To => galads
2021-07-16 15:30 galads Status new => confirmed
2021-07-16 15:41 tpartner Note Added: 65477
2021-07-21 14:55 ollehar Priority none => normal
2021-07-21 15:01 ollehar Note Added: 65523
2021-07-21 15:16 ollehar Severity block => partial_block
2021-07-21 15:16 ollehar Note Added: 65524
2021-07-21 15:47 tpartner Note Added: 65529
2021-07-21 15:50 ollehar Note Added: 65530
2021-07-21 15:50 ollehar Sync to Zoho Project => |Yes|
2021-07-21 15:50 ollehar Priority normal => high
2021-07-21 15:50 ollehar Sync to Zoho Project Yes => |Yes|
2021-07-21 15:57 ollehar Note Added: 65532
2021-07-21 16:03 ollehar Note Added: 65535
2021-07-21 16:18 tpartner Note Added: 65538
2021-10-07 12:28 ollehar Note Added: 66787
2021-10-07 12:29 ollehar Note Added: 66788
2021-10-07 15:39 tpartner Note Added: 66797
2021-10-07 15:39 tpartner File Added: capture_4.png
2021-10-07 16:42 ollehar Note Added: 66803
2021-10-08 16:56 galads Assigned To galads => gabrieljenik
2021-10-08 16:56 galads Status confirmed => assigned
2021-10-08 17:08 galads Note Added: 66814
2021-10-08 17:08 galads Bug heat 6 => 8
2021-10-12 15:07 gabrieljenik Note Added: 66834
2021-10-12 15:07 gabrieljenik Bug heat 8 => 10
2021-10-12 15:09 gabrieljenik Status assigned => testing